Liblinphone: Dictionary

Liblinphone 5.3.0

Typedefs | Functions
Dictionary

Managing Dictionary. More...

## Typedefs
typedef struct _LinphoneDictionary | LinphoneDictionary
| Object that represents key-value pair container.

## Functions
LinphoneDictionary * | linphone_dictionary_clone (const LinphoneDictionary *src)
| Instantiates a new dictionary with values from source.
LinphoneDictionary * | linphone_dictionary_ref (LinphoneDictionary *dict)
| Take a reference on a LinphoneDictionary.
void | linphone_dictionary_unref (LinphoneDictionary *dict)
| Release a LinphoneDictionary.
void | linphone_dictionary_set_float (LinphoneDictionary *dict, const char *key, float value)
| Sets a float value to a key.
float | linphone_dictionary_get_float (const LinphoneDictionary *dict, const char *key)
| Gets the float value of a key.
void | linphone_dictionary_set_int (LinphoneDictionary *dict, const char *key, int value)
| Sets a int value to a key.
int | linphone_dictionary_get_int (const LinphoneDictionary *dict, const char *key)
| Gets the int value of a key.
void | linphone_dictionary_set_string (LinphoneDictionary *dict, const char *key, const char *value)
| Sets a char* value to a key.
const char * | linphone_dictionary_get_string (const LinphoneDictionary *dict, const char *key)
| Gets the char* value of a key.
void | linphone_dictionary_set_int64 (LinphoneDictionary *dict, const char *key, int64_t value)
| Sets a int64 value to a key.
int64_t | linphone_dictionary_get_int64 (const LinphoneDictionary *dict, const char *key)
| Gets the int64 value of a key.
LinphoneStatus | linphone_dictionary_remove (LinphoneDictionary *dict, const char *key)
| Removes the pair of the key.
void | linphone_dictionary_clear (LinphoneDictionary *dict)
| Clears the dictionary.
LinphoneStatus | linphone_dictionary_has_key (const LinphoneDictionary *dict, const char *key)
| Search if the key is present in the dictionary.

## Detailed Description

Managing Dictionary.

## Function Documentation

## ◆ linphone_dictionary_clear()

void linphone_dictionary_clear | ( | LinphoneDictionary * | dict | ) |

Clears the dictionary.

Parameters

  dict | The LinphoneDictionary object.

## ◆ linphone_dictionary_clone()

LinphoneDictionary * linphone_dictionary_clone | ( | const LinphoneDictionary * | src | ) |

Instantiates a new dictionary with values from source.

Parameters

  src | The LinphoneDictionary object to be cloned.

Returns
  The newly created LinphoneDictionary object.

## ◆ linphone_dictionary_get_float()

float linphone_dictionary_get_float | ( | const LinphoneDictionary * | dict,
|  | const char * | key )

Gets the float value of a key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.

Returns
  The username.

## ◆ linphone_dictionary_get_int()

int linphone_dictionary_get_int | ( | const LinphoneDictionary * | dict,
|  | const char * | key )

Gets the int value of a key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.

Returns
  The username.

## ◆ linphone_dictionary_get_int64()

int64_t linphone_dictionary_get_int64 | ( | const LinphoneDictionary * | dict,
|  | const char * | key )

Gets the int64 value of a key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.

Returns
  The username.

## ◆ linphone_dictionary_get_string()

const char * linphone_dictionary_get_string | ( | const LinphoneDictionary * | dict,
|  | const char * | key )

Gets the char* value of a key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.

Returns
  The username.

## ◆ linphone_dictionary_has_key()

LinphoneStatus linphone_dictionary_has_key | ( | const LinphoneDictionary * | dict,
|  | const char * | key )

Search if the key is present in the dictionary.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.

Returns
  The LinphoneStatus of the operation.

## ◆ linphone_dictionary_ref()

LinphoneDictionary * linphone_dictionary_ref | ( | LinphoneDictionary * | dict | ) |

Take a reference on a LinphoneDictionary.

Parameters

  dict | The LinphoneDictionary object.

Returns
  the same LinphoneDictionary object.

## ◆ linphone_dictionary_remove()

LinphoneStatus linphone_dictionary_remove | ( | LinphoneDictionary * | dict,
|  | const char * | key )

Removes the pair of the key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.

Returns
  The LinphoneStatus of the operation.

## ◆ linphone_dictionary_set_float()

void linphone_dictionary_set_float | ( | LinphoneDictionary * | dict,
|  | const char * | key,
|  | float | value )

Sets a float value to a key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.
  value | The int value.

## ◆ linphone_dictionary_set_int()

void linphone_dictionary_set_int | ( | LinphoneDictionary * | dict,
|  | const char * | key,
|  | int | value )

Sets a int value to a key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.
  value | The int value.

## ◆ linphone_dictionary_set_int64()

void linphone_dictionary_set_int64 | ( | LinphoneDictionary * | dict,
|  | const char * | key,
|  | int64_t | value )

Sets a int64 value to a key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.
  value | The int64 value.

## ◆ linphone_dictionary_set_string()

void linphone_dictionary_set_string | ( | LinphoneDictionary * | dict,
|  | const char * | key,
|  | const char * | value )

Sets a char* value to a key.

Parameters

  dict | The LinphoneDictionary object.
  key | The key.
  value | The char* value.

## ◆ linphone_dictionary_unref()

void linphone_dictionary_unref | ( | LinphoneDictionary * | dict | ) |

Release a LinphoneDictionary.

Parameters

  dict | The LinphoneDictionary object.